sysdep.c File Reference
`#include "config.h"`
`#include "sysdep.h"`
`#include "UpnpInet.h"`
`#include <string.h>`
`#include <stdio.h>`
Include dependency graph for sysdep.c:

## Functions

void | get_ieee_node_identifier (uuid_node_t *node)
| System dependent call to get IEEE node ID. More...
void | get_system_time (uuid_time_t *uuid_time)
| System dependent call to get the current system time. More...
void | get_random_info (unsigned char seed[16])

## Function Documentation

## get_ieee_node_identifier()

void get_ieee_node_identifier | ( | uuid_node_t * | node | ) |

System dependent call to get IEEE node ID.

This sample implementation generates a random node ID.

## get_system_time()

void get_system_time | ( | uuid_time_t * | uuid_time | ) |

System dependent call to get the current system time.

Returned as 100ns ticks since Oct 15, 1582, but resolution may be less than 100ns.

Referenced by get_current_time(), and true_random().